# Uses of Class
org.springframework.beans.MutablePropertyValues

Packages that use MutablePropertyValues
Package
Description
org.springframework.beans
This package contains interfaces and classes for manipulating Java beans.
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of MutablePropertyValues in org.springframework.beans

Methods in org.springframework.beans that return MutablePropertyValues
Modifier and Type
Method
Description
`MutablePropertyValues`
MutablePropertyValues.`add(String propertyName, Object propertyValue)`
Add a PropertyValue object, replacing any existing one for the corresponding property or getting merged with it (if applicable).
`MutablePropertyValues`
MutablePropertyValues.`addPropertyValue(PropertyValue pv)`
Add a PropertyValue object, replacing any existing one for the corresponding property or getting merged with it (if applicable).
`MutablePropertyValues`
MutablePropertyValues.`addPropertyValues(Map<?,?> other)`
Add all property values from the given Map.
`MutablePropertyValues`
MutablePropertyValues.`addPropertyValues(PropertyValues other)`
Copy all given PropertyValues into this object.

## Uses of MutablePropertyValues in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config that return MutablePropertyValues
Modifier and Type
Method
Description
`MutablePropertyValues`
BeanDefinition.`getPropertyValues()`
Return the property values to be applied to a new instance of the bean.
Methods in org.springframework.beans.factory.config with parameters of type MutablePropertyValues
Modifier and Type
Method
Description
`protected void`
BeanDefinitionVisitor.`visitPropertyValues(MutablePropertyValues pvs)`

## Uses of MutablePropertyValues in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that return MutablePropertyValues
Modifier and Type
Method
Description
`MutablePropertyValues`
AbstractBeanDefinition.`getPropertyValues()`
Return the property values to be applied to a new instance of the bean.
Methods in org.springframework.beans.factory.support with parameters of type MutablePropertyValues
Modifier and Type
Method
Description
`protected void`
AbstractAutowireCapableBeanFactory.`autowireByName(String beanName, AbstractBeanDefinition mbd, BeanWrapper bw, MutablePropertyValues pvs)`
Fill in any missing property values with references to other beans in this factory if autowire is set to "byName".
`protected void`
AbstractAutowireCapableBeanFactory.`autowireByType(String beanName, AbstractBeanDefinition mbd, BeanWrapper bw, MutablePropertyValues pvs)`
Abstract method defining "autowire by type" (bean properties by type) behavior.
`void`
AbstractBeanDefinition.`setPropertyValues(MutablePropertyValues propertyValues)`
Specify property values for this bean, if any.
Constructors in org.springframework.beans.factory.support with parameters of type MutablePropertyValues
Modifier
Constructor
Description
`protected`
`AbstractBeanDefinition(ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new AbstractBeanDefinition with the given constructor argument values and property values.
``
`ChildBeanDefinition(String parentName, Class<?> beanClass, ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new ChildBeanDefinition for the given parent, providing constructor arguments and property values.
``
`ChildBeanDefinition(String parentName, String beanClassName, ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new ChildBeanDefinition for the given parent, providing constructor arguments and property values.
``
`ChildBeanDefinition(String parentName, ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new ChildBeanDefinition for the given parent.
``
`ChildBeanDefinition(String parentName, MutablePropertyValues pvs)`
Create a new ChildBeanDefinition for the given parent.
``
`RootBeanDefinition(Class<?> beanClass, ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new RootBeanDefinition for a singleton, providing constructor arguments and property values.
``
`RootBeanDefinition(String beanClassName, ConstructorArgumentValues cargs, MutablePropertyValues pvs)`
Create a new RootBeanDefinition for a singleton, providing constructor arguments and property values.